Skip to main content
PATCH
/
data
/
tables
/
{id}
Update Custom Data Table
curl --request PATCH \
  --url https://api.prod.usesimple.ai/api/v1/data/tables/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "columns": [
    {
      "name": "<string>",
      "displayName": "<string>",
      "referenceTable": "<string>",
      "jsonSchema": {}
    }
  ],
  "searchIndexingEnabled": true
}
'
{
  "id": 123,
  "name": "<string>",
  "label": "<string>",
  "searchIndexingEnabled": true,
  "columns": [
    {
      "id": 123,
      "name": "<string>",
      "displayName": "<string>",
      "referenceTable": "<string>",
      "jsonSchema": {},
      "position": 123
    }
  ],
  "recordCount": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
Send the complete column list you want the table to have after the update. Changing a table schema validates existing records before applying the change.

Authorizations

Authorization
string
header
required

Path Parameters

id
integer
required

Custom data table ID.

Body

application/json
label
string
required

Human-readable table name shown in Simple AI.

columns
Custom Data Column Input · object[]
required
Minimum array length: 1
searchIndexingEnabled
boolean

Whether this table can be searched with the custom data search and facets endpoints.

Response

Custom Data Table Updated

id
integer
required
name
string
required
label
string
required
searchIndexingEnabled
boolean
required
columns
Custom Data Column · object[]
required
recordCount
integer
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required